Description

The mechanism for BulkDataURI in the writedJson() code in dcmdata is not really well thought out. Each DcmElement instance calls
asBulkDataURI(), passes its tag key, and expects to receive a unique URI. This cannot work for attributes that may occur multiple
times (i.e. in sequence items). Furthermore, there is no mechanism (e.g. in the form of an virtual method that can be re-implemented)
for actually creating the files/resources that the URI would point to.

Unfortunately, at the point where asBulkDataURI() is called, the information about the "path" within the dataset is not available. Each
element calls asBulkDataURI() individually, and elements do not know where in the overall data structure they "live".

| don't see any simple way of fixing that short of a major re-design of the writeJson() code where for example a DcmStack indicating
the position in the dataset would be passed to writedson(), and updated in the DcmSequenceOfltems and Dcmltem implementations
of the method.

Feature requested 2025-02-05 by Mathieu Malaterre <mathieu.malaterre@gmail.com>

History

#1 - 2025-02-06 10:04 - Marco Eichelberg

The path within the dataset could actually be reconstructed using DcmObject::getParent() and Dcmltem::getParentltem().

#2 - 2025-06-17 14:16 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 10:00 h

Closed by commit #0a713ab25.
